#! /usr/bin/bash

if [[ $UID != 0 ]]; then
  echo "Please run this using sudo"
  exit
fi

prefix=backup_elog
fileName=$prefix-$(date +'%Y%m%d').tar.gz

dir=$(pwd)

echo "====== backup Elog data from /mnt/data0/elog & /usr/local/elog/elogd.cfg"

echo "====== check number of old backup"
nFile=$(ls -1 $prefix* | wc -l)
if [[ $nFile -gt 3 ]]; then
   oldFile=$(ls -t $prefix* | tail -1)
   echo "==== remove the old file $oldFile"
   rm -f $oldFile
fi

echo "====== cp /usr/local/elog/elogd.cfg to /mnt/data0/elog/"
cp /usr/local/elog/elogd.cfg /mnt/data0/elog

echo "====== cd /mnt/data0"

cd /mnt/data0/
tar -czf $fileName elog

ls -l $fileName
mv $fileName $dir/.

echo "backup saved to ${fileName}"

echo "===== ssh to newton.physics.fsu.edu"
cd $dir
scp -rp $fileName ryan@128.186.111.52:/backupHome/.
